# Generated by Django 4.1.5 on 2023-04-13 11:55

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("contenttypes", "0002_remove_content_type_name"),
        ("isa", "0005_todolist_todoitem"),
    ]

    operations = [
        migrations.CreateModel(
            name="Notes",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("object_id", models.TextField()),
                (
                    "created_date",
                    models.DateTimeField(auto_now_add=True, help_text="Creation date"),
                ),
                (
                    "update_date",
                    models.DateTimeField(auto_now_add=True, help_text="Update date"),
                ),
                ("notes", models.JSONField(blank=True, help_text="Note", null=True)),
                (
                    "content_type",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="content_type_isa",
                        to="contenttypes.contenttype",
                    ),
                ),
            ],
        ),
        migrations.AddIndex(
            model_name="notes",
            index=models.Index(
                fields=["content_type", "object_id"],
                name="isa_notes_content_de5a42_idx",
            ),
        ),
    ]
